part of 'generated.dart';

class DeleteLevelVariablesBuilder {
  String id;

  final FirebaseDataConnect _dataConnect;
  DeleteLevelVariablesBuilder(this._dataConnect, {required  this.id,});
  Deserializer<DeleteLevelData> dataDeserializer = (dynamic json)  => DeleteLevelData.fromJson(jsonDecode(json));
  Serializer<DeleteLevelVariables> varsSerializer = (DeleteLevelVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<DeleteLevelData, DeleteLevelVariables>> execute() {
    return ref().execute();
  }

  MutationRef<DeleteLevelData, DeleteLevelVariables> ref() {
    DeleteLevelVariables vars= DeleteLevelVariables(id: id,);
    return _dataConnect.mutation("deleteLevel", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class DeleteLevelLevelDelete {
  final String id;
  DeleteLevelLevelDelete.fromJson(dynamic json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteLevelLevelDelete otherTyped = other as DeleteLevelLevelDelete;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteLevelLevelDelete({
    required this.id,
  });
}

@immutable
class DeleteLevelData {
  final DeleteLevelLevelDelete? level_delete;
  DeleteLevelData.fromJson(dynamic json):
  
  level_delete = json['level_delete'] == null ? null : DeleteLevelLevelDelete.fromJson(json['level_delete']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteLevelData otherTyped = other as DeleteLevelData;
    return level_delete == otherTyped.level_delete;
    
  }
  @override
  int get hashCode => level_delete.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (level_delete != null) {
      json['level_delete'] = level_delete!.toJson();
    }
    return json;
  }

  DeleteLevelData({
    this.level_delete,
  });
}

@immutable
class DeleteLevelVariables {
  final String id;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  DeleteLevelVariables.fromJson(Map<String, dynamic> json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteLevelVariables otherTyped = other as DeleteLevelVariables;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteLevelVariables({
    required this.id,
  });
}

